Skip to main content
GET
/
orgs
/
{org_id}
/
connectors
/
syncs
`GET /orgs/{org_id}/connectors/syncs`
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/connectors/syncs \
  --header 'Authorization: Bearer <token>'
{
  "syncs": [
    {
      "connection_ref": "<string>",
      "connector_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "cursor_column": "<string>",
      "dest_table": "<string>",
      "enabled": true,
      "has_cursor": true,
      "id": "<string>",
      "interval_secs": 123,
      "kb_uid": "<string>",
      "source_kind": "<string>",
      "source_schema": "<string>",
      "source_table": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_run_at": "2023-11-07T05:31:56Z",
      "last_state": "<string>",
      "last_success_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "seconds_since_success": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required

Query Parameters

connector_id
string | null

Filter to a single connector.

Response

Syncs listed

syncs
object[]
required